// Copyright (c) 2020-2021 by the Zeek Project. See LICENSE for details.

#pragma once

namespace spicy::zeek::configuration {

#define SPICY_HAVE_TOOLCHAIN
#define ZEEK_SPICY_PLUGIN_USE_JIT
#define ZEEK_SPICY_PLUGIN_INTERNAL_BUILD

// We make sure this is always defined, either as 0 or 1, so that we
// can catch when this header wasn't included.
#define ZEEK_DEBUG_BUILD 0

// Version of Zeek the plugin was compiled against.
#define ZEEK_SPICY_VERSION_NUMBER 50000
#define ZEEK_SPICY_BUILD_DIRECTORY "/usr/src/packages/BUILD/build"

#define SPICY_VERSION_NUMBER 10500

inline const auto InstallLibDir = "/opt/zeek-nightly/lib";
inline const auto InstallPrefix = "/opt/zeek-nightly";

inline const auto PluginVersion = "1.3.9-21";
inline const int PluginVersionNumber = 10309;
inline const int PluginVersionMajor = 1;
inline const int PluginVersionMinor = 3;
inline const int PluginVersionPatch = 9;

inline const int ZeekVersionNumber = 50000;
inline const auto ZeekConfig = "/opt/zeek-nightly/bin/zeek-config";

inline const auto CxxZeekIncludeDirectories = "/opt/zeek-nightly/include";
inline const auto CxxBrokerIncludeDirectory = "";

inline const auto PluginModuleDirectory = "/opt/zeek-nightly/lib/zeek-spicy/modules";
inline const auto PluginScriptsDirectory = "";

inline const auto StaticBuildName = "spicy-plugin";

}
